{
    "openapi": "3.0.0",
    "info": {
        "title": "Fulfillment API",
        "description": "Use the Fulfillment API to complete the process of packaging, addressing, handling, and shipping each order on behalf of the seller, in accordance with the payment method and timing specified at checkout.",
        "contact": {
            "name": "eBay Inc."
        },
        "license": {
            "name": "eBay API License Agreement",
            "url": "https://developer.ebay.com/join/api-license-agreement"
        },
        "version": "v1.20.7"
    },
    "servers": [
        {
            "url": "https://api.ebay.com{basePath}",
            "description": "Production",
            "variables": {
                "basePath": {
                    "default": "/sell/fulfillment/v1"
                }
            }
        },
        {
            "url": "https://apiz.ebay.com{basePath}",
            "description": "Production",
            "variables": {
                "basePath": {
                    "default": "/sell/fulfillment/v1"
                }
            }
        }
    ],
    "paths": {
        "/order/{orderId}": {
            "get": {
                "tags": [
                    "order"
                ],
                "description": "Use this call to retrieve the contents of an order based on its unique identifier, <i>orderId</i>. This value was returned in the <b> getOrders</b> call's <b>orders.orderId</b> field when you searched for orders by creation date, modification date, or fulfillment status. Include the optional <b>fieldGroups</b> query parameter set to <code>TAX_BREAKDOWN</code> to return a breakdown of the taxes and fees. <br><br> The returned <b>Order</b> object contains information you can use to create and process fulfillments, including: <ul> <li>Information about the buyer and seller</li> <li>Information about the order's line items</li> <li> The plans for packaging, addressing and shipping the order</li> <li>The status of payment, packaging, addressing, and shipping the order</li> <li>A summary of monetary amounts specific to the order such as pricing, payments, and shipping costs</li> <li>A summary of applied taxes and fees, and optionally a breakdown of each </li></ul>",
                "operationId": "getOrder",
                "parameters": [
                    {
                        "name": "fieldGroups",
                        "in": "query",
                        "description": "This parameter lets you control what is returned in the response.<br><br><span class=\"tablenote\"><b>Note:</b> The only presently supported value is <code>TAX_BREAKDOWN</code>. This field group adds addition fields to the response that return a breakdown of taxes and fees.</span>",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "orderId",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the order being retrieved.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\" target=\"_blank \">getOrders</a> method to retrieve order IDs. Order ID values are also shown in My eBay/Seller Hub.<br><br><span class=\"tablenote\"><strong>Note:</strong> <b>getOrders</b> can return orders up to two years old. Do not provide the <b>orderId</b> for an order created more than two years in the past.</span>",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Order"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "32100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid order ID: {orderId}"
                                },
                                "32800": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid field group: {fieldGroup}"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not Found"
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "30500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "System error"
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment",
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment.readonly"
                        ]
                    }
                ]
            }
        },
        "/order": {
            "get": {
                "tags": [
                    "order"
                ],
                "description": "Use this method to search for and retrieve one or more orders based on their creation date, last modification date, or fulfillment status using the <b>filter</b> parameter. You can alternatively specify a list of orders using the <b>orderIds</b> parameter. Include the optional <b>fieldGroups</b> query parameter set to <code>TAX_BREAKDOWN</code> to return a breakdown of the taxes and fees. By default, when no filters are used this call returns all orders created within the last 90 days. <br><br> The returned <b>Order</b> objects contain information you can use to create and process fulfillments, including: <ul> <li>Information about the buyer and seller</li> <li>Information about the order's line items</li> <li>The plans for packaging, addressing and shipping the order</li> <li>The status of payment, packaging, addressing, and shipping the order</li> <li>A summary of monetary amounts specific to the order such as pricing, payments, and shipping costs</li> <li>A summary of applied taxes and fees, and optionally a breakdown of each </li></ul> <br><br> <span class=\"tablenote\"><strong>Important:</strong> In this call, the <b>cancelStatus.cancelRequests</b> array is returned but is always empty. Use the <b>getOrder</b> call instead, which returns this array fully populated with information about any cancellation requests.</span>",
                "operationId": "getOrders",
                "parameters": [
                    {
                        "name": "fieldGroups",
                        "in": "query",
                        "description": "This parameter lets you control what is returned in the response.<br><br><span class=\"tablenote\"><b>Note:</b> The only presently supported value is <code>TAX_BREAKDOWN</code>. This field group adds addition fields to the response that return a breakdown of taxes and fees.</span>",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "filter",
                        "in": "query",
                        "description": "One or more comma-separated criteria for narrowing down the collection of orders returned by this call. These criteria correspond to specific fields in the response payload. Multiple filter criteria combine to further restrict the results. <br><br><span class=\"tablenote\"><strong>Note:</strong> <b>getOrders</b> can return orders up to two years old. Do not set the <code>creationdate</code> filter to a date beyond two years in the past.</span><br><span class=\"tablenote\"><strong>Note:</strong> If the <b>orderIds</b> parameter is included in the request, the <b>filter</b> parameter will be ignored.</span><br>The available criteria are as follows: <dl> <dt><code><b>creationdate</b></code></dt> <dd>The time period during which qualifying orders were created (the <b>orders.creationDate</b> field). In the URI, this is expressed as a starting timestamp, with or without an ending timestamp (in brackets). The timestamps are in ISO 8601 format, which uses the 24-hour Universal Coordinated Time (UTC) clock.For example: <ul> <li><code>creationdate:[2016-02-21T08:25:43.511Z..]</code> identifies orders created on or after the given timestamp.</li> <li><code>creationdate:[2016-02-21T08:25:43.511Z..2016-04-21T08:25:43.511Z]</code> identifies orders created between the given timestamps, inclusive.</li> </ul> </dd> <dt><code><b>lastmodifieddate</b></code></dt> <dd>The time period during which qualifying orders were last modified (the <b>orders.modifiedDate</b> field).  In the URI, this is expressed as a starting timestamp, with or without an ending timestamp (in brackets). The timestamps are in ISO 8601 format, which uses the 24-hour Universal Coordinated Time (UTC) clock.For example: <ul> <li><code>lastmodifieddate:[2016-05-15T08:25:43.511Z..]</code> identifies orders modified on or after the given timestamp.</li> <li><code>lastmodifieddate:[2016-05-15T08:25:43.511Z..2016-05-31T08:25:43.511Z]</code> identifies orders modified between the given timestamps, inclusive.</li> </ul> <span class=\"tablenote\"><strong>Note:</strong> If <b>creationdate</b> and <b>lastmodifieddate</b> are both included, only <b>creationdate</b> is used.</span> <br><br></dd> <dt><code><b>orderfulfillmentstatus</b></code></dt> <dd>The degree to which qualifying orders have been shipped (the <b>orders.orderFulfillmentStatus</b> field). In the URI, this is expressed as one of the following value combinations: <ul> <li><code>orderfulfillmentstatus:{NOT_STARTED|IN_PROGRESS}</code> specifies orders for which no shipping fulfillments have been started, plus orders for which at least one shipping fulfillment has been started but not completed.</li> <li><code>orderfulfillmentstatus:{FULFILLED|IN_PROGRESS}</code> specifies orders for which all shipping fulfillments have been completed, plus orders for which at least one shipping fulfillment has been started but not completed.</li> </ul> <span class=\"tablenote\"><strong>Note:</strong> The values <code>NOT_STARTED</code>, <code>IN_PROGRESS</code>, and <code>FULFILLED</code> can be used in various combinations, but only the combinations shown here are currently supported.</span> </dd> </dl> Here is an example of a <b>getOrders</b> call using all of these filters: <br><br> <code>GET https://api.ebay.com/sell/v1/order?<br>filter=<b>creationdate</b>:%5B2016-03-21T08:25:43.511Z..2016-04-21T08:25:43.511Z%5D,<br><b>lastmodifieddate</b>:%5B2016-05-15T08:25:43.511Z..%5D,<br><b>orderfulfillmentstatus</b>:%7BNOT_STARTED%7CIN_PROGRESS%7D</code> <br><br> <span class=\"tablenote\"><strong>Note:</strong> This call requires that certain special characters in the URI query string be percent-encoded: <br> &nbsp;&nbsp;&nbsp;&nbsp;<code>[</code> = <code>%5B</code> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>]</code> = <code>%5D</code> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>{</code> = <code>%7B</code> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>|</code> = <code>%7C</code> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>}</code> = <code>%7D</code> <br> This query filter example uses these codes.</span> For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/fulfillment/types/api:FilterField",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "limit",
                        "in": "query",
                        "description": "The number of orders to return per page of the result set. Use this parameter in conjunction with the <b>offset</b> parameter to control the pagination of the output. <br><br>For example, if <b>offset</b> is set to <code>10</code> and <b>limit</b> is set to <code>10</code>, the call retrieves orders 11 thru 20 from the result set. <br><br> If a limit is not set, the <b>limit</b> defaults to 50 and returns up to 50 orders. If a requested limit is more than 200, the call fails and returns an error.<br ><br> <span class=\"tablenote\"><strong>Note:</strong> This feature employs a zero-based list, where the first item in the list has an offset of <code>0</code>. If the <b>orderIds</b> parameter is included in the request, this parameter will be ignored.</span> <br><br> <b>Maximum:</b> <code>200</code> <br> <b>Default:</b> <code>50</code>",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "offset",
                        "in": "query",
                        "description": "Specifies the number of orders to skip in the result set before returning the first order in the paginated response.  <p>Combine <b>offset</b> with the <b>limit</b> query parameter to control the items returned in the response. For example, if you supply an <b>offset</b> of <code>0</code> and a <b>limit</b> of <code>10</code>, the first page of the response contains the first 10 items from the complete list of items retrieved by the call. If <b>offset</b> is <code>10</code> and <b>limit</b> is <code>20</code>, the first page of the response contains items 11-30 from the complete result set.</p> <p><b>Default:</b> 0</p>",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "orderIds",
                        "in": "query",
                        "description": "A comma-separated list of the unique identifiers of the orders to retrieve (maximum 50). If one or more order ID values are specified through the <b>orderIds</b> query parameter, all other query parameters will be ignored.<br><br><span class=\"tablenote\"><strong>Note:</strong> <b>getOrders</b> can return orders up to two years old. Do not provide the <b>orderId</b> for an order created more than two years in the past.</span>",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/OrderSearchPagedCollection"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "30700": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid filter name: {fieldname}"
                                },
                                "30800": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid filter value {fieldvalue} for filter {fieldname}"
                                },
                                "30810": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid date format"
                                },
                                "30820": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Start date is missing"
                                },
                                "30830": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Time range between start date and end date must be within '{allowedTime}' years."
                                },
                                "30840": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Start date should be before end date"
                                },
                                "30850": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Start and end dates can't be in the future"
                                },
                                "30900": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Exceeded maximum number of order IDs (the current limit is <code>50</code>)"
                                },
                                "31000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid offset: {offsetvalue}"
                                },
                                "31100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid limit: {limitvalue}"
                                },
                                "32800": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid field group: {fieldGroup}"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "30500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "System error"
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment",
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment.readonly"
                        ]
                    }
                ]
            }
        },
        "/order/{order_id}/issue_refund": {
            "post": {
                "tags": [
                    "order"
                ],
                "summary": "Issue Refund",
                "description": "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\" data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important! &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including <b>issueRefund</b>. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis \" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signatures to be included in the HTTP payload.</p></div><br> This method allows a seller to issue a full or partial refund to a buyer for an order. Full or partial refunds can be issued at the order level or line item level.<br><br>The refunds issued through this method are processed asynchronously, so the refund will not show as 'Refunded' right away. A seller will have to make a subsequent <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrder\" target=\"_blank\">getOrder</a> call to check the status of the refund.  The status of an order refund can be found in the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrder#response.paymentSummary.refunds.refundStatus\" target=\"_blank\">paymentSummary.refunds.refundStatus</a> field of the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrder\" target=\"_blank\">getOrder</a> response.",
                "operationId": "issueRefund",
                "parameters": [
                    {
                        "name": "order_id",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the order associated with a refund.<br><br>Use the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\" target=\"_blank \">getOrders</a> method to retrieve order IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/IssueRefundRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "200": {
                        "description": "OK",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Refund"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "34901": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Order id can't be null or empty."
                                },
                                "34902": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Request can't be empty."
                                },
                                "34903": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The refund reason must be specified."
                                },
                                "34905": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Either orderLevelRefundAmount or refundItems must be specified."
                                },
                                "34906": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The amount value must be specified."
                                },
                                "34907": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The amount value must be positive and within two decimals."
                                },
                                "34908": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The amount currency must be specified."
                                },
                                "34909": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The amount currency isn't correct."
                                },
                                "34910": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Either legacyReference or lineItemId must be specified for item level refund."
                                },
                                "34911": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Legacy item id must be specified for item level refund if you use legacyReference."
                                },
                                "34912": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Legacy transaction id must be specified for item level refund if you use legacyReference."
                                },
                                "34914": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Can't find the item in the order."
                                },
                                "34915": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The refund amount exceeds order amount."
                                },
                                "34916": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "A post-transaction case exists on this order, seller refund can't be triggered."
                                },
                                "34917": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "This order was already refunded."
                                },
                                "34920": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "It's too late to issue a refund for this order."
                                },
                                "34921": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The comment exceeds the length limit, please make sure it doesn't exceed 1000 characters."
                                },
                                "34922": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Refund can't be issued while previous refund is processing."
                                },
                                "34923": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Refund cannot be issued for this type of order."
                                }
                            }
                        }
                    },
                    "403": {
                        "description": "Access Forbidden"
                    },
                    "404": {
                        "description": "Resource Not found",
                        "x-response-codes": {
                            "errors": {
                                "34913": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Can not find the order."
                                }
                            }
                        }
                    },
                    "409": {
                        "description": "Conflict",
                        "x-response-codes": {
                            "errors": {
                                "34918": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "This is not an eBay managed payments order."
                                },
                                "34919": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Unauthorized access."
                                },
                                "34924": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "The item refund amount exceeds the item remaining amount."
                                },
                                "34925": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "The refund operation could not be completed with any of the payment methods saved to the seller's account."
                                },
                                "34926": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "A suitable payment method could not be found for the refund operation. Please resolve in Seller Hub."
                                },
                                "34927": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "The selected payment method for the refund operation was invalid or declined."
                                },
                                "34928": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "BUSINESS",
                                    "description": "Your refund did not go through because we could not verify your payment option. Please change your payment option and try again."
                                },
                                "34929": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "You cannot refund this order yet since the buyer payment has not been processed. Please try again later."
                                },
                                "34930": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Default payment method limit exceeded. Please use a different payment option or try again later."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "34900": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.finances"
                        ]
                    }
                ]
            }
        },
        "/order/{orderId}/shipping_fulfillment": {
            "get": {
                "tags": [
                    "shipping_fulfillment"
                ],
                "description": "Use this call to retrieve the contents of all fulfillments currently defined for a specified order based on the order's unique identifier, <b>orderId</b>. This value is returned in the <b>getOrders</b> call's <b>members.orderId</b> field when you search for orders by creation date or shipment status.",
                "operationId": "getShippingFulfillments",
                "parameters": [
                    {
                        "name": "orderId",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the order associated with the shipping fulfillments being retrieved.<br><br>Use the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\" target=\"_blank \">getOrders</a> method to retrieve order IDs. Order ID values are also shown in My eBay/Seller Hub.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ShippingFulfillmentPagedCollection"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "32100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid order ID: {orderId}"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "30500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "System error"
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment",
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment.readonly"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "shipping_fulfillment"
                ],
                "description": "When you group an order's line items into one or more packages, each package requires a corresponding plan for handling, addressing, and shipping; this is a <i>shipping fulfillment</i>. For each package, execute this call once to generate a shipping fulfillment associated with that package. <br><br> <span class=\"tablenote\"><strong>Note:</strong> A single line item in an order can consist of multiple units of a purchased item, and one unit can consist of multiple parts or components. Although these components might be provided by the manufacturer in separate packaging, the seller must include all components of a given line item in the same package.</span> <br><br>Before using this call for a given package, you must determine which line items are in the package. If the package has been shipped, you should provide the date of shipment in the request. If not provided, it will default to the current date and time.",
                "operationId": "createShippingFulfillment",
                "parameters": [
                    {
                        "name": "orderId",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the order associated with the shipping fulfillment being created.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\" target=\"_blank \">getOrders</a> method to retrieve order IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "fulfillment payload",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "fulfillment payload",
                                "$ref": "#/components/schemas/ShippingFulfillmentDetails"
                            }
                        }
                    },
                    "required": true
                },
                "responses": {
                    "201": {
                        "description": "Created. The call also returns the following location response header: <br><br><code>{ENV}/sell/fulfillment/v1/order/{ORDERID}/shipping_fulfillment/{FULFILLMENTID}</code> <br><br>The <code>ENV</code> string is the HTTPS path to the same eBay supported environment in which this call was issued. The <code>ORDERID</code> parameter is the unique identifier of the order addressed by this call; for example, <code>01-03955-36441</code>. The <code>FULFILLMENTID</code> parameter identifies the newly created fulfillment; for example, <code>9405509699937003457459</code>. Use this Get Fulfillment URI to retrieve the contents of the new fulfillment.",
                        "headers": {
                            "Location": {
                                "schema": {
                                    "type": "string",
                                    "description": "The <b>location</b> response header contains the <a href=\"/api-docs/sell/fulfillment/resources/order/shipping_fulfillment/methods/getShippingFulfillment\" target=\"_blank \">getShippingFulfillment</a> URI to retrieve the contents of the newly created shipping fulfillment. The URL includes the eBay-assigned <code>fulfillmentId</code>, which you can use to reference the shipping fulfillment."
                                }
                            }
                        },
                        "content": {
                            "application/json": {
                                "schema": {
                                    "type": "object"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "32100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Order Id: {orderId}"
                                },
                                "32200": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid line item id: {lineItemId}"
                                },
                                "32210": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Duplicate line item in the request"
                                },
                                "32300": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid shipment tracking number or carrier"
                                },
                                "32400": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Requested user is suspended"
                                },
                                "32500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid shipped date"
                                },
                                "32600": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid input data"
                                },
                                "34100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Maximum tracking number for order is exceeded"
                                },
                                "34200": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Line Items contain Global Shipping Program and non-Global Shipping Program orders"
                                },
                                "34300": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Mark As Shipped for multiple Global Shipping Program line items is not supported"
                                },
                                "34500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Please use PUT operation for updating shipping fulfillment"
                                }
                            }
                        }
                    },
                    "409": {
                        "description": "Conflict"
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "30500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "System error"
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment"
                        ]
                    }
                ]
            }
        },
        "/order/{orderId}/shipping_fulfillment/{fulfillmentId}": {
            "get": {
                "tags": [
                    "shipping_fulfillment"
                ],
                "description": "Use this call to retrieve the contents of a fulfillment based on its unique identifier, <b>fulfillmentId</b> (combined with the associated order's <b>orderId</b>). The <b>fulfillmentId</b> value was originally generated by the <b>createShippingFulfillment</b> call, and is returned by the <b>getShippingFulfillments</b> call in the <b>members.fulfillmentId</b> field.",
                "operationId": "getShippingFulfillment",
                "parameters": [
                    {
                        "name": "fulfillmentId",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the shipping fulfillment being retrieved.<br><br>Use the <a href=\"/api-docs/sell/fulfillment/resources/order/shipping_fulfillment/methods/getShippingFulfillments\" target=\"_blank \">getShippingFulfillments</a> method to retrieved fulfillment IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "orderId",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the order associated with the shipping fulfillment being retrieved.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\" target=\"_blank \">getOrders</a> method to retrieve order IDs. Order ID values are also shown in My eBay/Seller Hub.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ShippingFulfillment"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "32100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid order ID: {orderId}"
                                },
                                "32110": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid shipping fulfillment ID: {fulfillmentId}"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not Found"
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "30500": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "System error"
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment",
                            "https://api.ebay.com/oauth/api_scope/sell.fulfillment.readonly"
                        ]
                    }
                ]
            }
        },
        "/payment_dispute/{payment_dispute_id}": {
            "get": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Get Payment Dispute Details",
                "description": "This method retrieves detailed information on a specific payment dispute. The payment dispute identifier is passed in as path parameter at the end of the call URI.<br><br>Below is a summary of the information that is retrieved:<ul><li>Current status of payment dispute</li><li>Amount of the payment dispute</li><li>Reason the payment dispute was opened</li><li>Order and line items associated with the payment dispute</li><li>Seller response options if an action is currently required on the payment dispute</li><li>Details on the results of the payment dispute if it has been closed</li><li>Details on any evidence that was provided by the seller to fight the payment dispute</li></ul>",
                "operationId": "getPaymentDispute",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This parameter is used to specify the unique identifier of the payment dispute being retrieved.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/PaymentDispute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Invalid Payment Dispute Id",
                        "x-response-codes": {
                            "errors": {
                                "33001": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Payment Dispute Id"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute/{payment_dispute_id}/fetch_evidence_content": {
            "get": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Get Payment Dispute Evidence File",
                "description": "This call retrieves a specific evidence file for a payment dispute. The following three identifying parameters are needed in the call URI:<ul><li><strong>payment_dispute_id</strong>: the identifier of the payment dispute. The identifier of each payment dispute is returned in the <strong>getPaymentDisputeSummaries</strong> response.</li><li><strong>evidence_id</strong>: the identifier of the evidential file set. The identifier of an evidential file set for a payment dispute is returned under the <strong>evidence</strong> array in the <strong>getPaymentDispute</strong> response.</li><li><strong>file_id</strong>: the identifier of an evidential file. This file must belong to the evidential file set identified through the <strong>evidence_id</strong> query parameter. The identifier of each evidential file is returned under the <strong>evidence.files</strong> array in the <strong>getPaymentDispute</strong> response.</li></ul><p>An actual binary file is returned if the call is successful. An error will occur if any of three identifiers are invalid.</p>",
                "operationId": "fetchEvidenceContent",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This path parameter is used to specify the unique identifier of the payment dispute associated with the evidence file being retrieved.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "evidence_id",
                        "in": "query",
                        "description": "This query parameter is used to specify the unique identifier of the evidential file set.<br><br>The identifier of an evidential file set for a payment dispute is returned under the <strong>evidence</strong> array in the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDispute\" target=\"_blank \">getPaymentDispute</a> response.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "file_id",
                        "in": "query",
                        "description": "This query parameter is used to specify the unique identifier of an evidential file. This file must belong to the evidential file set identified through the <strong>evidence_id</strong> query parameter.<br><br>The identifier of each evidential file is returned under the <strong>evidence.files</strong> array in the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDispute\" target=\"_blank \">getPaymentDispute</a> response.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/octet-stream": {
                                "schema": {
                                    "type": "array",
                                    "items": {
                                        "type": "string"
                                    }
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "33002": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Evidence Id"
                                },
                                "33003": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Evidence File Id"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Invalid Payment Dispute Id",
                        "x-response-codes": {
                            "errors": {
                                "33001": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Payment Dispute Id"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute/{payment_dispute_id}/activity": {
            "get": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Get Payment Dispute Activity",
                "description": "This method retrieve a log of activity for a payment dispute. The identifier of the payment dispute is passed in as a path parameter. The output includes a timestamp for each action of the payment dispute, from creation to resolution, and all steps in between.",
                "operationId": "getActivities",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This parameter is used to specify the unique identifier of the payment dispute associated with the activity log being retrieved.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/PaymentDisputeActivityHistory"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Invalid Payment Dispute Id",
                        "x-response-codes": {
                            "errors": {
                                "33001": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Payment Dispute Id"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute_summary": {
            "get": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Search Payment Dispute by Filters",
                "description": "This method is used retrieve one or more payment disputes filed against the seller. These payment disputes can be open or recently closed. The following filter types are available in the request payload to control the payment disputes that are returned:<ul><li>Dispute filed against a specific order (<b>order_id</b> parameter is used)</li><li>Dispute(s) filed by a specific buyer (<b>buyer_username</b> parameter is used)</li><li>Dispute(s) filed within a specific date range (<b>open_date_from</b> and/or <b>open_date_to</b> parameters are used)</li><li>Disputes in a specific state (<b>payment_dispute_status</b> parameter is used)</li></ul>More than one of these filter types can be used together. See the request payload request fields for more information about how each filter is used.<br><br>If none of the filters are used, all open and recently closed payment disputes are returned.<br><br>Pagination is also available. See the <b>limit</b> and <b>offset</b> fields for more information on how pagination is used for this method.",
                "operationId": "getPaymentDisputeSummaries",
                "parameters": [
                    {
                        "name": "order_id",
                        "in": "query",
                        "description": "This filter is used if the seller wishes to retrieve one or more payment disputes filed against a specific order. It is possible that there can be more than one dispute filed against an order if the order has multiple line items. If this filter is used, any other filters are ignored.<br><br>Use the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\" target=\"_blank \">getOrders</a> method to retrieve order IDs. Order ID values are also shown in My eBay/Seller Hub.",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "buyer_username",
                        "in": "query",
                        "description": "This filter is used if the seller wishes to retrieve one or more payment disputes opened by a specific buyer. The string that is passed in to this query parameter is the eBay user ID of the buyer.",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "open_date_from",
                        "in": "query",
                        "description": "The <b>open_date_from</b> and/or <b>open_date_to</b> date filters are used if the seller wishes to retrieve payment disputes opened within a specific date range. A maximum date range that may be set with the <b>open_date_from</b> and/or <b>open_date_to</b> filters is 90 days. These date filters use the ISO-8601 24-hour date and time format, and time zone used is Universal Coordinated Time (UTC), also known as Greenwich Mean Time (GMT), or Zulu.<br><br>The <b>open_date_from</b> field sets the beginning date of the date range, and can be set as far back as 18 months from the present time. If a <b>open_date_from</b> field is used, but a <b>open_date_to</b> field is not used, the <b>open_date_to</b> value will default to 90 days after the date specified in the <b>open_date_from</b> field, or to the present time if less than 90 days in the past.<br><br>The ISO-8601 format looks like this: <em>yyyy-MM-ddThh:mm.ss.sssZ</em>. An example would be <code>2019-08-04T19:09:02.768Z</code>.",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "open_date_to",
                        "in": "query",
                        "description": "The <b>open_date_from</b> and/or <b>open_date_to</b> date filters are used if the seller wishes to retrieve payment disputes opened within a specific date range. A maximum date range that may be set with the <b>open_date_from</b> and/or <b>open_date_to</b> filters is 90 days. These date filters use the ISO-8601 24-hour date and time format, and the time zone used is Universal Coordinated Time (UTC), also known as Greenwich Mean Time (GMT), or Zulu.<br><br>The <b>open_date_to</b> field sets the ending date of the date range, and can be set up to 90 days from the date set in the <b>open_date_from</b> field. <br><br>The ISO-8601 format looks like this: <em>yyyy-MM-ddThh:mm.ss.sssZ</em>. An example would be <code>2019-08-04T19:09:02.768Z</code>.",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "payment_dispute_status",
                        "in": "query",
                        "description": "This filter is used if the seller wishes to only retrieve payment disputes in one or more specific states. To filter by more than one status value, a separate <b>payment_dispute_status</b> filter must be used for each value, as shown below:<br><br><i>https://apiz.ebay.com/sell/fulfillment/v1/payment_dispute_summary?payment_dispute_status=OPEN&payment_dispute_status=ACTION_NEEDED</i> <br><br>If no <b>payment_dispute_status</b> filter is used, payment disputes in all states are returned in the response.<br><br>See <a href=\"/api-docs/sell/fulfillment/types/api:DisputeStateEnum\" target=\"_blank \">DisputeStatusEnum</a> type for supported values.",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "limit",
                        "in": "query",
                        "description": "The value passed in this query parameter sets the maximum number of payment disputes to return per page of data. The value passed in this field should be an integer from 1 to 200. If this query parameter is not set, up to 200 records will be returned on each page of results.<br><br><b>Min</b>: 1<br><br> <b>Max</b>: 200<br><br><b>Default</b>: 200",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "offset",
                        "in": "query",
                        "description": "This field is used to specify the number of records to skip in the result set before returning the first payment dispute in the paginated response. A zero-based index is used, so if you set the <b>offset</b> value to <code>0</code> (default value), the first payment dispute in the result set appears at the top of the response. <br><br>Combine <b>offset</b> with the <b>limit</b> parameter to control the payment disputes returned in the response. For example, if you supply an <b>offset</b> value of <code>0</code> and a <b>limit</b> value of <code>10</code>, the response will contain the first 10 payment disputes from the result set that matches the input criteria. If you supply an <b>offset</b> value of <code>10</code> and a <b>limit</b> value of <code>20</code>, the response will contain payment disputes 11-30 from the result set that matches the input criteria.<br><br><b>Min</b>: 0 <br><br><b>Default</b>: 0",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/DisputeSummaryResponse"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "33001": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid input request"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute/{payment_dispute_id}/contest": {
            "post": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Contest Payment Dispute",
                "description": "This method is used if the seller wishes to contest a payment dispute initiated by the buyer. The unique identifier of the payment dispute is passed in as a path parameter, and unique identifiers for payment disputes can be retrieved with the <strong>getPaymentDisputeSummaries</strong> method.<br><br><span class=\"tablenote\"><strong>Note:</strong> Before contesting a payment dispute, the seller must upload all supporting files using the <strong>addEvidence</strong> and <strong>updateEvidence</strong> methods. Once the seller has officially contested the dispute (using <strong>contestPaymentDispute</strong>), the <strong>addEvidence</strong> and <strong>updateEvidence</strong> methods can no longer be used. In the <strong>evidenceRequests</strong> array of the <strong>getPaymentDispute</strong> response, eBay prompts the seller with the type of supporting file(s) that will be needed to contest the payment dispute.</span><br><br>If a seller decides to contest a payment dispute, that seller should be prepared to provide supporting documents such as proof of delivery, proof of authentication, or other documents. The type of supporting documents that the seller will provide will depend on why the buyer filed the payment dispute.<br><br>The <strong>revision</strong> field in the request payload is required, and the <strong>returnAddress</strong> field should be supplied if the seller is expecting the buyer to return the item. See the Request Payload section for more information on these fields.",
                "operationId": "contestPaymentDispute",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This parameter is used to specify the unique identifier of the payment dispute being contested. <br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/ContestPaymentDisputeRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "Success"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "33100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid input request"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not Found"
                    },
                    "409": {
                        "description": "Conflict",
                        "x-response-codes": {
                            "errors": {
                                "33011": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "There was a change in payment dispute attributes. Please use get payment dispute api to get latest details."
                                },
                                "33101": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid payment dispute state"
                                },
                                "33102": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "No evidence available for contest"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute/{payment_dispute_id}/accept": {
            "post": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Accept Payment Dispute",
                "description": "This method is used if the seller wishes to accept a payment dispute. The unique identifier of the payment dispute is passed in as a path parameter, and unique identifiers for payment disputes can be retrieved with the <strong>getPaymentDisputeSummaries</strong> method.<br><br>The <strong>revision</strong> field in the request payload is required, and the <strong>returnAddress</strong> field should be supplied if the seller is expecting the buyer to return the item. See the Request Payload section for more information on theste fields.",
                "operationId": "acceptPaymentDispute",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This parameter is used to specify the unique identifier of the payment dispute being accepted. <br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/AcceptPaymentDisputeRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "Success"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "33100": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid input request"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not Found"
                    },
                    "409": {
                        "description": "Conflict",
                        "x-response-codes": {
                            "errors": {
                                "33011": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "There was a change in payment dispute attributes. Please use get payment dispute api to get latest details."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute/{payment_dispute_id}/upload_evidence_file": {
            "post": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Upload an Evidence File",
                "description": "This method is used to upload an evidence file for a contested payment dispute. The unique identifier of the payment dispute is passed in as a path parameter, and unique identifiers for payment disputes can be retrieved with the <strong>getPaymentDisputeSummaries</strong> method.<br><br><span class=\"tablenote\"><strong>Note:</strong> The <strong>uploadEvidenceFile</strong> only uploads an encrypted, binary image file (using <strong>multipart/form-data</strong> HTTP request header), and does not have a JSON-based request payload.<br><br>Use 'file' as the name of the key that you use to upload the image file. The upload will not be successful if a different key name is used.<br><br>The three image formats supported at this time are <strong>.JPEG</strong>, <strong>.JPG</strong>, and <strong>.PNG</strong>.</span><br><br>After the file is successfully uploaded, the seller will need to grab the <strong>fileId</strong> value in the response payload to add this file to a new evidence set using the <strong>addEvidence</strong> method, or to add this file to an existing evidence set using the <strong>updateEvidence</strong> method.",
                "operationId": "uploadEvidenceFile",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This parameter is used to specify the unique identifier of the contested payment dispute for which the user intends to upload an evidence file.<br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>multipart/form-data</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/FileEvidence"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "33005": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "File type is invalid."
                                },
                                "33006": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "File size should be 1.5 MB or less."
                                },
                                "33106": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "The file name should not be empty and should not exceed 255 characters."
                                },
                                "33107": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Only one file can be uploaded per request."
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not Found",
                        "x-response-codes": {
                            "errors": {
                                "33001": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Invalid Payment Dispute Id"
                                }
                            }
                        }
                    },
                    "409": {
                        "description": "Conflict",
                        "x-response-codes": {
                            "errors": {
                                "33004": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "Upload file for evidence is not permitted for given payment dispute state."
                                },
                                "33105": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "REQUEST",
                                    "description": "You reached the maximum number of files you can upload."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "33000": {
                                    "domain": "API_FULFILLMENT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.payment.dispute"
                        ]
                    }
                ]
            },
            "servers": [
                {
                    "url": "https://apiz.ebay.com{basePath}",
                    "description": "Production",
                    "variables": {
                        "basePath": {
                            "default": "/sell/fulfillment/v1"
                        }
                    }
                }
            ]
        },
        "/payment_dispute/{payment_dispute_id}/add_evidence": {
            "post": {
                "tags": [
                    "payment_dispute"
                ],
                "summary": "Add an Evidence File",
                "description": "This method is used by the seller to add one or more evidence files to address a payment dispute initiated by the buyer. The unique identifier of the payment dispute is passed in as a path parameter, and unique identifiers for payment disputes can be retrieved with the <strong>getPaymentDisputeSummaries</strong> method.<br><br><span class=\"tablenote\"><strong>Note:</strong> All evidence files should be uploaded using <strong>addEvidence</strong> and <strong>updateEvidence</strong>  before the seller decides to contest the payment dispute. Once the seller has officially contested the dispute (using <strong>contestPaymentDispute</strong> or through My eBay), the <strong>addEvidence</strong> and <strong>updateEvidence</strong> methods can no longer be used. In the <strong>evidenceRequests</strong> array of the <strong>getPaymentDispute</strong> response, eBay prompts the seller with the type of evidence file(s) that will be needed to contest the payment dispute.</span><br><br>The file(s) to add are identified through the <strong>files</strong> array in the request payload.  Adding one or more new evidence files for a payment dispute triggers the creation of an evidence file, and the unique identifier for the new evidence file is automatically generated and returned in the <strong>evidenceId</strong> field of the <strong>addEvidence</strong> response payload upon a successful call.<br><br>The type of evidence being added should be specified in the <strong>evidenceType</strong> field. All files being added (if more than one) should correspond to this evidence type.<br><br>Upon a successful call, an <strong>evidenceId</strong> value is returned in the response. This indicates that a new evidence set has been created for the payment dispute, and this evidence set includes the evidence file(s) that were passed in to the <strong>fileId</strong> array. The <strong>evidenceId</strong> value will be needed if the seller wishes to add to the evidence set by using the <strong>updateEvidence</strong> method, or if they want to retrieve a specific evidence file within the evidence set by using the <strong>fetchEvidenceContent</strong> method.",
                "operationId": "addEvidence",
                "parameters": [
                    {
                        "name": "payment_dispute_id",
                        "in": "path",
                        "description": "This parameter is used to specify the unique identifier of the contested payment dispute for which the seller wishes to add evidence files. <br><br> Use the <a href=\"/api-docs/sell/fulfillment/resources/payment_dispute/methods/getPaymentDisputeSummaries\" target=\"_blank \">getPaymentDisputeSummaries</a> method to retrieve payment dispute IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/AddEvidencePaymentDisputeRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "200": {
                        "description": "Success",
[...]
